> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apexscore.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Configuration Status

> Retrieves the status of a report's primary configuration unless a specific configuration
is provided. Used to determine the state of background processing and overall completeness with low
overhead.



## OpenAPI

````yaml api-reference/openapi.yaml get /api/v1/reports/{id}/configuration_status/
openapi: 3.0.3
info:
  title: API v1 Public
  version: 1.4.2
  description: >+


    Apex API functions and available endpoints.


    To authenticate, use the `Token` value from the `auth/login` endpoint in the
    Authorize dialog.

  license:
    name: Proprietary to Emotive Technologies Inc.
servers:
  - url: https://api.main.apexscore.ai
security: []
paths:
  /api/v1/reports/{id}/configuration_status/:
    get:
      tags:
        - Reports
      summary: Configuration Status
      description: >-
        Retrieves the status of a report's primary configuration unless a
        specific configuration

        is provided. Used to determine the state of background processing and
        overall completeness with low

        overhead.
      operationId: reports_configuration_status_retrieve
      parameters:
        - in: query
          name: configuration_id
          schema:
            type: string
            format: uuid
          description: >-
            Optional configuration id to retrieve. If not provided, the primary
            configuration will be used.
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this report.
          required: true
      responses:
        '200':
          description: No response body
      security:
        - tokenAuth: []
components:
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````